The “Update Blog Post” API allows you create blog post for any given blog site.
PUT
/
blogs
/
posts
/
{postId}
Update Blog Post
curl --request PUT \
--url https://services.leadconnectorhq.com/blogs/posts/{postId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"locationId": "<string>",
"blogId": "<string>",
"imageUrl": "<string>",
"description": "<string>",
"rawHTML": "<string>",
"status": "<string>",
"wordCount": 123,
"readTimeInMinutes": 123,
"archived": true,
"imageAltText": "<string>",
"currentVersion": "<string>",
"metaData": {},
"categories": [
"<string>"
],
"tags": [
"<string>"
],
"author": "<string>",
"urlSlug": "<string>",
"canonicalLink": "<string>",
"importId": "<string>",
"type": "<string>",
"publishedAt": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"externalFonts": [
"<string>"
],
"originId": "<string>",
"tocStyle": "<string>",
"isAutoSave": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
locationId: '<string>',
blogId: '<string>',
imageUrl: '<string>',
description: '<string>',
rawHTML: '<string>',
status: '<string>',
wordCount: 123,
readTimeInMinutes: 123,
archived: true,
imageAltText: '<string>',
currentVersion: '<string>',
metaData: {},
categories: ['<string>'],
tags: ['<string>'],
author: '<string>',
urlSlug: '<string>',
canonicalLink: '<string>',
importId: '<string>',
type: '<string>',
publishedAt: '<string>',
scheduledAt: '2023-11-07T05:31:56Z',
externalFonts: ['<string>'],
originId: '<string>',
tocStyle: '<string>',
isAutoSave: true
})
};
fetch('https://services.leadconnectorhq.com/blogs/posts/{postId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/blogs/posts/{postId}"
payload = {
"title": "<string>",
"locationId": "<string>",
"blogId": "<string>",
"imageUrl": "<string>",
"description": "<string>",
"rawHTML": "<string>",
"status": "<string>",
"wordCount": 123,
"readTimeInMinutes": 123,
"archived": True,
"imageAltText": "<string>",
"currentVersion": "<string>",
"metaData": {},
"categories": ["<string>"],
"tags": ["<string>"],
"author": "<string>",
"urlSlug": "<string>",
"canonicalLink": "<string>",
"importId": "<string>",
"type": "<string>",
"publishedAt": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"externalFonts": ["<string>"],
"originId": "<string>",
"tocStyle": "<string>",
"isAutoSave": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"updatedBlogPost": {
"categories": [
"659ecabc4a37969a2b7cc370",
"6683abde331c041f32c07aee"
],
"tags": [
"Apple",
"Banana"
],
"archived": false,
"_id": "66c381b38be80858b9af62b6",
"title": "Banana is good source of energy",
"description": "Description",
"imageUrl": "https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg",
"status": "PUBLISHED",
"locationId": "fACm0Ojm5oC70G3DcFmE",
"imageAltText": "alt",
"blogId": "ZiMMOp3ZEdnsZ4qPAjW0",
"urlSlug": "banana-good-energy",
"canonicalLink": "https://blog.chatgpts.agency/post/test-8384",
"author": "659ec9634a3796e4e47cc360",
"publishedAt": "2024-08-19T17:14:57.000Z",
"createdAt": "2024-08-19T17:32:35.362Z",
"updatedAt": "2024-08-19T17:32:36.182Z",
"currentVersion": "66c381b38be80858b9af62b7"
}
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Last modified on March 8, 2026
Was this page helpful?
⌘I
Update Blog Post
curl --request PUT \
--url https://services.leadconnectorhq.com/blogs/posts/{postId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"locationId": "<string>",
"blogId": "<string>",
"imageUrl": "<string>",
"description": "<string>",
"rawHTML": "<string>",
"status": "<string>",
"wordCount": 123,
"readTimeInMinutes": 123,
"archived": true,
"imageAltText": "<string>",
"currentVersion": "<string>",
"metaData": {},
"categories": [
"<string>"
],
"tags": [
"<string>"
],
"author": "<string>",
"urlSlug": "<string>",
"canonicalLink": "<string>",
"importId": "<string>",
"type": "<string>",
"publishedAt": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"externalFonts": [
"<string>"
],
"originId": "<string>",
"tocStyle": "<string>",
"isAutoSave": true
}
'const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
locationId: '<string>',
blogId: '<string>',
imageUrl: '<string>',
description: '<string>',
rawHTML: '<string>',
status: '<string>',
wordCount: 123,
readTimeInMinutes: 123,
archived: true,
imageAltText: '<string>',
currentVersion: '<string>',
metaData: {},
categories: ['<string>'],
tags: ['<string>'],
author: '<string>',
urlSlug: '<string>',
canonicalLink: '<string>',
importId: '<string>',
type: '<string>',
publishedAt: '<string>',
scheduledAt: '2023-11-07T05:31:56Z',
externalFonts: ['<string>'],
originId: '<string>',
tocStyle: '<string>',
isAutoSave: true
})
};
fetch('https://services.leadconnectorhq.com/blogs/posts/{postId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/blogs/posts/{postId}"
payload = {
"title": "<string>",
"locationId": "<string>",
"blogId": "<string>",
"imageUrl": "<string>",
"description": "<string>",
"rawHTML": "<string>",
"status": "<string>",
"wordCount": 123,
"readTimeInMinutes": 123,
"archived": True,
"imageAltText": "<string>",
"currentVersion": "<string>",
"metaData": {},
"categories": ["<string>"],
"tags": ["<string>"],
"author": "<string>",
"urlSlug": "<string>",
"canonicalLink": "<string>",
"importId": "<string>",
"type": "<string>",
"publishedAt": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"externalFonts": ["<string>"],
"originId": "<string>",
"tocStyle": "<string>",
"isAutoSave": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"updatedBlogPost": {
"categories": [
"659ecabc4a37969a2b7cc370",
"6683abde331c041f32c07aee"
],
"tags": [
"Apple",
"Banana"
],
"archived": false,
"_id": "66c381b38be80858b9af62b6",
"title": "Banana is good source of energy",
"description": "Description",
"imageUrl": "https://storage.googleapis.com/ghl-test/fACm0Ojm5oC70G3DcFmE/media/66b5aa3b1745b2713a8d033f.jpeg",
"status": "PUBLISHED",
"locationId": "fACm0Ojm5oC70G3DcFmE",
"imageAltText": "alt",
"blogId": "ZiMMOp3ZEdnsZ4qPAjW0",
"urlSlug": "banana-good-energy",
"canonicalLink": "https://blog.chatgpts.agency/post/test-8384",
"author": "659ec9634a3796e4e47cc360",
"publishedAt": "2024-08-19T17:14:57.000Z",
"createdAt": "2024-08-19T17:32:35.362Z",
"updatedAt": "2024-08-19T17:32:36.182Z",
"currentVersion": "66c381b38be80858b9af62b7"
}
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}